BSON_OID_INIT_FROM_STRING(3)

NAME
bson_oid_init_from_string - bson_oid_init_from_string()

SYNOPSIS

void
bson_oid_init_from_string (bson_oid_t *oid, const char *str);

PARAMETERS

•   oid: A bson_oid_t.

•   str: A string containing a hex encoded version of the oid.

DESCRIPTION

Parses the string containing hex encoded oid and initialize the bytes in oid.

EXAMPLE

bson_oid_init_from_string (&oid, "012345678901234567890123");

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc